# This file was auto-generated by Fern from our API Definition.

import datetime as dt
import typing

import pydantic

from ....core.datetime_utils import serialize_datetime
from .collection_access_level import CollectionAccessLevel
from .collection_collection_type import CollectionCollectionType
from .remote_data import RemoteData


class Collection(pydantic.BaseModel):
    """
    # The Collection Object
    ### Description
    The `Collection` object is used to represent collections of tickets. Collections may include other collections as
    sub collections.

    ### Usage Example
    TODO
    """

    id: typing.Optional[str]
    remote_id: typing.Optional[str] = pydantic.Field(description="The third-party API ID of the matching object.")
    name: typing.Optional[str] = pydantic.Field(description="The collection's name.")
    description: typing.Optional[str] = pydantic.Field(description="The collection's description.")
    collection_type: typing.Optional[CollectionCollectionType] = pydantic.Field(
        description=("The collection's type.\n" "\n" "* `LIST` - LIST\n" "* `PROJECT` - PROJECT\n")
    )
    parent_collection: typing.Optional[str] = pydantic.Field(description="The parent collection for this collection.")
    remote_was_deleted: typing.Optional[bool] = pydantic.Field(
        description="Indicates whether or not this object has been deleted by third party webhooks."
    )
    access_level: typing.Optional[CollectionAccessLevel] = pydantic.Field(
        description=(
            "The level of access a User has to the Collection and its sub-objects.\n"
            "\n"
            "* `PRIVATE` - PRIVATE\n"
            "* `COMPANY` - COMPANY\n"
            "* `PUBLIC` - PUBLIC\n"
        )
    )
    modified_at: typing.Optional[str] = pydantic.Field(
        description="This is the datetime that this object was last updated by Merge"
    )
    field_mappings: typing.Optional[typing.Dict[str, typing.Any]]
    remote_data: typing.Optional[typing.List[RemoteData]]

    def json(self, **kwargs: typing.Any) -> str:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().json(**kwargs_with_defaults)

    def dict(self, **kwargs: typing.Any) -> typing.Dict[str, typing.Any]:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().dict(**kwargs_with_defaults)

    class Config:
        frozen = True
        json_encoders = {dt.datetime: serialize_datetime}
